Class | WSDL::XMLSchema::Enumeration
In: | wsdl/xmlSchema/enumeration.rb
Parent: | Info

### Methods

new parse_attr parse_element

### Public Class methods

new()

[Source]

    # File wsdl/xmlSchema/enumeration.rb, line 17
      def initialize
        super
      end

### Public Instance methods

parse_attr(attr, value)

[Source]

    # File wsdl/xmlSchema/enumeration.rb, line 25
      def parse_attr(attr, value)
        case attr
        when ValueAttrName
          parent.enumeration << value.source
          value.source
        end
      end

parse_element(element)

[Source]

    # File wsdl/xmlSchema/enumeration.rb, line 21
      def parse_element(element)
        nil
      end

[Validate]